## org.eclipse.emf.codegen.ecore.genmodel
Class GenClass.ChildCreationData

    java.lang.Object
      org.eclipse.emf.codegen.ecore.genmodel.GenClass.ChildCreationData

Enclosing interface:
  GenClass

    public static final class GenClass.ChildCreationData

extends java.lang.Object

Since:
  2.4

Field Summary
`GenClassifier` `createClassifier`
`GenFeature` `createFeature`
`GenFeature` `delegatedFeature`

Constructor Summary
`GenClass.ChildCreationData(GenFeature createFeature, GenFeature delegateFeature, GenClassifier createClassifier)`

Method Summary
`boolean` `equals(java.lang.Object object)`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### createFeature

    public final GenFeature createFeature

### delegatedFeature

    public final GenFeature delegatedFeature

### createClassifier

    public final GenClassifier createClassifier

Constructor Detail

### GenClass.ChildCreationData

    public GenClass.ChildCreationData(GenFeature createFeature,
                                      GenFeature delegateFeature,
                                      GenClassifier createClassifier)

Method Detail

### equals

    public boolean equals(java.lang.Object object)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.